%define  subversion r1563
%define sourceversion 1.9.x

Name: htmldoc
Version: 1.9.0
Release: alt1.%subversion.2.1
Serial: 1

License: GPL with exceptions (see COPYING.txt)
Group: Text tools
Url: http://www.easysw.com/htmldoc/
Summary: htmldoc creates pdf and ps from html
Summary(ru_RU.CP1251): htmldoc -   html  pdf  ps

Packager: Andrei Bulava <abulava@altlinux.ru>

Source: %name-%sourceversion-%subversion.tar.bz2
Source1: htmldoc.menu
Source2: htmldoc.png

PreReq: fontconfig >= 2.4.2
Requires: fonts-type1-htmldoc


BuildPreReq: xorg-x11-font-utils
BuildPreReq: rpm-build-fonts

# Automatically added by buildreq on Mon Jun 16 2008
BuildRequires: gcc-c++ libfltk-devel libjpeg-devel libpng-devel libssl-devel

%description
Htmldoc is a HTML processing program that generates HTML, PostScript, and PDF
files with a table of contents.

%description -l ru_RU.CP1251
Htmldoc -   HTML,    PDF, PostScript
 HTML  .

%package -n fonts-type1-htmldoc
Summary: Font used by htmldoc function
Group: System/Fonts/Type1

%description -n fonts-type1-htmldoc
This Package provides a htmldoc Type1 fonts
from Irmologion project.


%prep
%setup -q -n %name-%sourceversion-%subversion

%build
export LDFLAGS="-Wl,-rpath-link -Wl,%_x11libdir"
%configure --with-gui
%make_build

%install
%makeinstall

%__mkdir_p rpmdoc/html
%__install -m 644 doc/*.html rpmdoc/html
%__install -m 644 doc/*.png rpmdoc/html

rm -fr %buildroot%_datadir/%name/fonts
rm -fr %buildroot%_defaultdocdir/%name


%__mkdir_p rpmdoc/html
%__install -m 644 doc/*.html rpmdoc/html
%__install -m 644 doc/*.png rpmdoc/html

%__mkdir_p %buildroot%_menudir
%__install -m 644 %SOURCE1 %buildroot%_menudir/htmldoc

%__mkdir_p %buildroot%_iconsdir
%__install -m 644 %SOURCE2 %buildroot%_iconsdir

%__mkdir_p %buildroot%_datadir/%name/data/


install -d -m 755 %buildroot%_sysconfdir/X11/fs/config
install -d -m 755 %buildroot%_fontsdir/%name


install -d -m755 %buildroot/etc/X11/fontpath.d/


%__mkdir_p %buildroot%_fontsdir/%name
find -name \*.pfa -print -exec cp -t %buildroot%_fontsdir/%name {} \;
find -name \*.pfb -print -exec cp -t %buildroot%_fontsdir/%name {} \;
find -name \*.afm -print -exec cp -t %buildroot%_fontsdir/%name {} \;
mkfontscale %buildroot%_fontsdir/%name
ln -s fonts.scale %buildroot%_fontsdir/%name/fonts.dir

ln -s  %_fontsdir/%name %buildroot%_datadir/%name/fonts

%__mkdir_p %buildroot%_sysconfdir/X11/fontpath.d
%__ln_s ../../..%_fontsdir/%name %buildroot%_sysconfdir/X11/fontpath.d/%name-%name:pri=40

%triggerun -- %name <= 7.0.0-alt1
if [ -x %_sbindir/chkfontpath -a -f %_sysconfdir/X11/fs/config ]; then
	%_sbindir/chkfontpath -q -r %_fontsdir/%name ||:
fi

%pre -n fonts-type1-htmldoc
if [ -L "%_datadir/%name/fonts" ]; then
  d=$(realpath "%_datadir/%name/fonts")
  rm -f -- "%_datadir/%name/fonts"
  if [ "$d"  != "%_datadir/fonts/htmldoc" ]; then
    echo  " mv -f -- $d %_datadir/fonts/htmldoc"
    mv -f -- "$d" "%_datadir/fonts/htmldoc" 
  fi
fi

%post
%update_menus
%_bindir/fc-cache %_fontsdir/Type1 ||:

%postun
%clean_menus

%files
%doc COPYING.txt README.txt doc/htmldoc.pdf
%doc rpmdoc/html/
%_bindir/%name
%_man1dir/*
%dir %_datadir/%name
%_datadir/%name/*
%exclude %_datadir/%name/fonts
%_menudir/%name
%_iconsdir/*

%files -n fonts-type1-htmldoc
%_sysconfdir/X11/fontpath.d/
%_fontsdir/*
%_datadir/%name/fonts

%changelog
* Sat Aug 09 2008 ALT QA Team Robot <qa-robot@altlinux.org> 1:1.9.0-alt1.r1563.2.1
- Automated rebuild due to libssl.so.6 -> libssl.so.7 soname change.

* Tue Jun 17 2008 Hihin Ruslan <ruslandh@altlinux.ru> 1:1.9.0-alt1.r1563.2
- correct spec

* Mon Jun 16 2008 Hihin Ruslan <ruslandh@altlinux.ru> 1:1.9.0-alt1.r1563.1
- new version

* Fri Mar 14 2008 Hihin Ruslan <ruslandh@altlinux.ru> 1.9.x-alt1
- new version

* Fri Sep 17 2004 Andrei Bulava <abulava@altlinux.ru> 1.8.23-alt5
- Fixed non-ISO-8859-1 charset support by way of replacing built-in fonts
  with ones generated from urw-fonts, which had cyrillic glyphs (#5183).
- Minor fixes:
  + fixed building with XFree86-libs' /etc/ld.so.conf.d/X11R6.conf
  + updated BuildRequires.

* Mon Jun 21 2004 Andrei Bulava <abulava@altlinux.ru> 1.8.23-alt4
- Spec fixes:
  + typos;
  + cleanup;
  + got rid of obsolete RPM_BUILD_ROOT;
  + macros were used where possible.

* Mon May 10 2004 ALT QA Team Robot <qa-robot@altlinux.org> 1.8.23-alt3.1
- Rebuilt with openssl-0.9.7d.

* Sat Feb 08 2003 Ott Alex <ott@altlinux.ru> 1.8.23-alt3
- Fixing spec and add menu

* Sun Nov 03 2002 Ott Alex <ott@altlinux.ru> 1.8.23-alt1
- New version. Now builded with GUI

* Sat Oct 19 2002 Ott Alex <ott@altlinux.ru> 1.8.22-alt1
- Initial build

